Subject: [Netconf] [Technical Errata Reported] RFC6536 (3863)

From: RFC Errata System <[email-masked]>
Date: Fri, 10 Jan 2014 05:32:39 -0800 (PST)

The following errata report has been submitted for RFC6536,
"Network Configuration Protocol (NETCONF) Access Control Model".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6536&eid=3863

--------------------------------------
Type: Technical
Reported by: Jernej Tuljak <[email-masked]>

Section: 3.5.2.

Original Text
-------------
     typedef group-name-type {
       type string {
         length "1..max";
         pattern "[^\*].*";
       }
       description
         "Name of administrative group to which
          users can be assigned.";
     }

Corrected Text
--------------
     typedef group-name-type {
       type string {
         length "1..max";
         pattern '[^\*].*';
       }
       description
         "Name of administrative group to which
          users can be assigned.";
     }

Notes
-----
As per RFC6020, Section 6.1.3., a backslash within a double-quoted string introduces a special character. The only valid escape sequences inside a double-quoted YANG string are: \n, \t, \" and \. As \* is not a valid escape sequence, a single quoted string should be used to specify the offending pattern statement's argument. The quotes could also be omitted.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6536 (draft-ietf-netconf-access-control-07)
--------------------------------------
Title               : Network Configuration Protocol (NETCONF) Access Control Model
Publication Date    : March 2012
Author(s)           : A. Bierman, M. Bjorklund
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Benoit Claise <[email-masked]>
Date: Mon, 13 Jan 2014 16:19:19 +0100

Dear all,

On this errata, I'm unclear whether a clarification is needed.
If it's the case, please update the errata and let me know.
Note: errata 3862, which is similar, is discussed on the netmod WG.

Regards, Benoit
> .